Subject: bug#55778: 29.0.50; [PATCH] M-. into a .gz; we've all been there.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jun 2022 20:29:52 +0300

> From: dick <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 04 Jun 2022 12:52:12 -0400
> 
> EZ> to make changes in this tricky code could be aware of all the
> 
> If by "tricky" you mean "written by a recent graduate", you may have a point.

I think you simply don't understand what that code does and why.  Your
mistake in initializing the installed-directory variable is a clear
evidence that you have a lot to learn about the various aspects of the
Emacs startup, before your conclusions about the code which supports
that could be taken seriously.